Bug 490184 - NetworkManager shouldn't automatically synchronize machine hostname to external hostname
NetworkManager shouldn't automatically synchronize machine hostname to extern...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 13:44 EDT by Ray Strode [halfline]
Modified: 2009-05-12 00:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.7.0.99-4.git20090324.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 12:12:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2009-03-13 13:44:58 EDT
Right now if /etc/sysconfig/network has

HOSTNAME=localhost.localdomain

then NetworkManager interprets it as a magic string that means "Perform a reverse look up on one of machine's ip addresses and set the internal hostname to one of the external hostnames instead of localhost".  It's a fairly recent change (post F10).

It's a little strange to treat "localhost" specially.  It would probably be better to keep HOSTNAME for specifying a hostname manually and then having some new boolean

DETECT_HOSTNAME=1

or some such that's used for doing the reverse look up logic.  I guess NetworkManager is currently doing it the less intuitive way for historical reasons.  The stack networkmanager supercedes used to do it that way.

Note anaconda sets HOSTNAME to localhost.localdomain in some cases by default.  That issue is being tracked by bug 408921.
Comment 1 Jessica Sterling 2009-03-15 07:30:01 EDT
This bug has been triaged.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Dan Williams 2009-03-23 17:43:37 EDT
committed upstream; users who wish to have 'localhost.localdomain' ignored and NM to look up the reverse address need to set NM_IGNORE_HOSTNAME_LOCALHOST=yes in their /etc/sysconfig/network file.
Comment 3 Fedora Update System 2009-03-24 10:54:26 EDT
NetworkManager-0.7.0.99-4.git20090324.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.99-4.git20090324.fc10
Comment 4 Fedora Update System 2009-03-24 10:57:37 EDT
NetworkManager-0.7.0.99-4.git20090324.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.99-4.git20090324.fc9
Comment 5 Fedora Update System 2009-03-25 12:11:45 EDT
NetworkManager-0.7.0.99-4.git20090324.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 vaxon 2009-03-26 16:40:33 EDT
Maybe it'snot relayed, but after the latest update to NetworkManager-0.7.0.99-4.git20090324.fc10 it stopped working. Just fails to start network and there's no icon on a panel.

cat /var/log/messages

Mar 26 23:21:01 black NetworkManager: <info>  starting...
Mar 26 23:21:01 black NetworkManager: <WARN>  nm_generic_enable_loopback(): error -17 returned from rtnl_addr_add():#012Sucess#012
Mar 26 23:21:01 black NetworkManager: <WARN>  nm_signal_handler(): Caught signal 11.  Generating backtrace...
Mar 26 23:21:01 black NetworkManager: ******************* START **********************************
Mar 26 23:21:01 black NetworkManager: #033[?1034h(no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: [Thread debugging using libthread_db enabled]
Mar 26 23:21:01 black NetworkManager: [New Thread 0x7f484e2c27e0 (LWP 7096)]
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: (no debugging symbols found)
Mar 26 23:21:01 black NetworkManager: 0x000000302b00ebf5 in waitpid () from /lib64/libpthread.so.0
Mar 26 23:21:01 black NetworkManager: #0  0x000000302b00ebf5 in waitpid () from /lib64/libpthread.so.0
Mar 26 23:21:01 black NetworkManager: #1  0x0000000000430133 in nm_logging_backtrace ()
Mar 26 23:21:01 black NetworkManager: #2  0x000000000042af90 in ?? ()
Mar 26 23:21:01 black NetworkManager: #3  <signal handler called>
Mar 26 23:21:01 black NetworkManager: #4  0x0000000000428d87 in ?? ()
Mar 26 23:21:01 black NetworkManager: #5  0x0000000000432173 in ?? ()
Mar 26 23:21:01 black NetworkManager: #6  0x000000303280b7dd in g_closure_invoke () from /lib64/libgobject-2.0.so.0
Mar 26 23:21:01 black NetworkManager: #7  0x00000030328214bd in ?? () from /lib64/libgobject-2.0.so.0
Mar 26 23:21:01 black NetworkManager: #8  0x0000003032822b68 in g_signal_emit_valist ()
Mar 26 23:21:01 black NetworkManager:    from /lib64/libgobject-2.0.so.0
Mar 26 23:21:01 black NetworkManager: #9  0x0000003032823093 in g_signal_emit () from /lib64/libgobject-2.0.so.0
Mar 26 23:21:01 black NetworkManager: #10 0x0000000000426ac3 in ?? ()
Mar 26 23:21:01 black NetworkManager: #11 0x00000000004273b9 in nm_hal_manager_query_devices ()
Mar 26 23:21:01 black NetworkManager: #12 0x00000000004326b6 in ?? ()
Mar 26 23:21:01 black NetworkManager: #13 0x000000302d43779b in g_main_context_dispatch ()
Mar 26 23:21:01 black NetworkManager:    from /lib64/libglib-2.0.so.0
Mar 26 23:21:01 black NetworkManager: #14 0x000000302d43af6d in ?? () from /lib64/libglib-2.0.so.0
Mar 26 23:21:01 black NetworkManager: #15 0x000000302d43b49d in g_main_loop_run () from /lib64/libglib-2.0.so.0
Mar 26 23:21:01 black NetworkManager: #16 0x000000000042b6ff in main ()
Mar 26 23:21:01 black NetworkManager: 
Mar 26 23:21:01 black NetworkManager: Thread 1 (Thread 0x7f484e2c27e0 (LWP 7096)):
Mar 26 23:21:01 black NetworkManager: #0  0x000000302b00ebf5 in waitpid () from /lib64/libpthread.so.0
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #1  0x0000000000430133 in nm_logging_backtrace ()
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #2  0x000000000042af90 in ?? ()
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #3  <signal handler called>
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #4  0x0000000000428d87 in ?? ()
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #5  0x0000000000432173 in ?? ()
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #6  0x000000303280b7dd in g_closure_invoke () from /lib64/libgobject-2.0.so.0
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #7  0x00000030328214bd in ?? () from /lib64/libgobject-2.0.so.0
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #8  0x0000003032822b68 in g_signal_emit_valist ()
Mar 26 23:21:01 black NetworkManager:    from /lib64/libgobject-2.0.so.0
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #9  0x0000003032823093 in g_signal_emit () from /lib64/libgobject-2.0.so.0
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #10 0x0000000000426ac3 in ?? ()
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #11 0x00000000004273b9 in nm_hal_manager_query_devices ()
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #12 0x00000000004326b6 in ?? ()
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #13 0x000000302d43779b in g_main_context_dispatch ()
Mar 26 23:21:01 black NetworkManager:    from /lib64/libglib-2.0.so.0
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #14 0x000000302d43af6d in ?? () from /lib64/libglib-2.0.so.0
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #15 0x000000302d43b49d in g_main_loop_run () from /lib64/libglib-2.0.so.0
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: #16 0x000000000042b6ff in main ()
Mar 26 23:21:01 black NetworkManager: No symbol table info available.
Mar 26 23:21:01 black NetworkManager: The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]
Mar 26 23:21:01 black NetworkManager: ******************* END **********************************

Thanks,
Vax
Comment 7 Dan Williams 2009-03-26 17:41:02 EDT
That crash is being tracked in bug 492246
Comment 8 Fedora Update System 2009-03-26 18:04:55 EDT
NetworkManager-0.7.0.99-5.git20090326.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.99-5.git20090326.fc9
Comment 9 Fedora Update System 2009-04-08 23:04:08 EDT
NetworkManager-0.7.0.100-2.git20090408.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0.100-2.git20090408.fc9
Comment 10 Fedora Update System 2009-04-14 21:23:34 EDT
NetworkManager-0.7.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.1-1.fc9
Comment 11 Fedora Update System 2009-05-12 00:06:47 EDT
NetworkManager-0.7.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.